# checkout

This action checks-out your repository under $GITHUB_WORKSPACE, so your workflow can access it.

Only a single commit is fetched by default, for the ref/sha that triggered the workflow. The auth token
is persisted in the local git config. This enables your scripts to run authenticated git commands.

This action is only written in shell (bash).

## Usage

```yaml
uses: actions/checkout:1.0.0
with:
  repository: ${{ github.server_url }}/${{ github.repository }}.git
  token: ${{ github.token }}
  path: .
  ref: ${{ github.ref || github.sha }}
```

